<app-head-u (refresh)="getData()"></app-head-u>

<div class="mat-elevation-z8" >
        <mat-form-field class="aa"><span matPrefix><mat-icon>search</mat-icon> &nbsp; </span>
            <input matInput (keyup)="applyFilter($event.target.value)" [(ngModel)]="firstname" (input)="Search()" placeholder="Recherche" >
        </mat-form-field>

        <table class="table table-hover">    
            <thead class="thead-light">
                <tr>
                    <th>Nom</th>
                    <th>Societé</th>
                    <th>email</th>
                    <th>Rôle</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let user of users | paginate: { itemsPerPage: 5, currentPage: page}">
                    
                    <td>{{user.nom}}</td>
                    <td>{{user.ste}}</td>
                    <td>{{user.email}}</td> 
                    <td>{{user.role}}</td> 
                    <td>
                        <mat-icon class="clickS" (click)="remove(user)">delete</mat-icon> 
                        <mat-icon class="clickM" (click)="update(user)">mode_edit</mat-icon>   
                    </td> 
                    
                </tr>
            </tbody>
        </table> 
        <pagination-controls style="text-align: center; " (pageChange)="page = $event"></pagination-controls>

</div>
